Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/innoextract: move to community

From: Michael Koloberdin <koloberdin_at_gmail.com>
Date: Tue, 17 May 2016 14:31:48 +0000

---
 community/innoextract/APKBUILD | 48 ++++++++++++++++++++++++++++++++++++++++++
 testing/innoextract/APKBUILD   | 48 ------------------------------------------
 2 files changed, 48 insertions(+), 48 deletions(-)
 create mode 100644 community/innoextract/APKBUILD
 delete mode 100644 testing/innoextract/APKBUILD
diff --git a/community/innoextract/APKBUILD b/community/innoextract/APKBUILD
new file mode 100644
index 0000000..8717f74
--- /dev/null
+++ b/community/innoextract/APKBUILD
_at_@ -0,0 +1,48 @@
+# Contributor: Michael Koloberdin <koloberdin_at_gmail.com>
+# Maintainer: Michael Koloberdin <koloberdin_at_gmail.com>
+pkgname=innoextract
+pkgver=1.6
+pkgrel=1
+pkgdesc="A tool to extract installers created by Inno Setup"
+url="http://constexpr.org/innoextract/"
+arch="all"
+license="ZLIB"
+depends=""
+depends_dev="cmake boost-dev xz-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://constexpr.org/innoextract/files/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_BUILD_TYPE=Release . || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+
+	install -Dm644 README.md "$pkgdir"/usr/share/doc/$pkgname/README.md \
+		|| return 1
+	install -m644 CHANGELOG "$pkgdir"/usr/share/doc/$pkgname/CHANGELOG \
+		|| return 1
+	install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE \
+		|| return 1
+}
+
+md5sums="17611d58ed51b8511639e5965c1585c5  innoextract-1.6.tar.gz"
+sha256sums="66463f145fffd4d5883c6b3e2f7b2c2837d6f07095810114e514233a88c1033e  innoextract-1.6.tar.gz"
+sha512sums="4c1b50a050d45e1a56d7236150a801cb85d15de8c80f5f1fd94750f3dd2392bdfb3f0e98c214e9504fe6132c7dce3a0dfbe0815ede438aa0f76a88380ceeef62  innoextract-1.6.tar.gz"
diff --git a/testing/innoextract/APKBUILD b/testing/innoextract/APKBUILD
deleted file mode 100644
index 8717f74..0000000
--- a/testing/innoextract/APKBUILD
+++ /dev/null
_at_@ -1,48 +0,0 @@
-# Contributor: Michael Koloberdin <koloberdin_at_gmail.com>
-# Maintainer: Michael Koloberdin <koloberdin_at_gmail.com>
-pkgname=innoextract
-pkgver=1.6
-pkgrel=1
-pkgdesc="A tool to extract installers created by Inno Setup"
-url="http://constexpr.org/innoextract/"
-arch="all"
-license="ZLIB"
-depends=""
-depends_dev="cmake boost-dev xz-dev"
-makedepends="$depends_dev"
-install=""
-subpackages="$pkgname-doc"
-source="http://constexpr.org/innoextract/files/$pkgname-$pkgver.tar.gz"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_BUILD_TYPE=Release . || return 1
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-
-	install -Dm644 README.md "$pkgdir"/usr/share/doc/$pkgname/README.md \
-		|| return 1
-	install -m644 CHANGELOG "$pkgdir"/usr/share/doc/$pkgname/CHANGELOG \
-		|| return 1
-	install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE \
-		|| return 1
-}
-
-md5sums="17611d58ed51b8511639e5965c1585c5  innoextract-1.6.tar.gz"
-sha256sums="66463f145fffd4d5883c6b3e2f7b2c2837d6f07095810114e514233a88c1033e  innoextract-1.6.tar.gz"
-sha512sums="4c1b50a050d45e1a56d7236150a801cb85d15de8c80f5f1fd94750f3dd2392bdfb3f0e98c214e9504fe6132c7dce3a0dfbe0815ede438aa0f76a88380ceeef62  innoextract-1.6.tar.gz"
-- 
2.6.6
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue May 17 2016 - 14:31:48 GMT